Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.metadata
Class ClassInfo

    java.lang.Object
      org.eclipse.birt.report.model.api.metadata.ClassInfo

All Implemented Interfaces:
  IClassInfo, ILocalizableInfo

    public class ClassInfo

extends java.lang.Object
implements IClassInfo

Represents the script object definition. This definition defines one constructor, several members and methods. It also includes the name, display name ID, and tool tip ID.

Constructor Summary
`ClassInfo()`

Method Summary
`protected void` | `addMember(IMemberInfo memberDefn)` Adds one member definition to this class definition.
`protected void` | `addMethod(IMethodInfo methodInfo)` Adds one method definition to this class definition.
`IMethodInfo` | `getConstructor()` Returns the constructor definition.
`java.lang.String` | `getDisplayName()` Returns the display name if the resource key of display name is available.
`java.lang.String` | `getDisplayNameKey()` Returns the resource key for display name.
`IMemberInfo` | `getMember(java.lang.String name)` Returns the member definition given method name.
`java.util.List<IMemberInfo>` | `getMembers()` Returns the list of member definitions.
`IMethodInfo` | `getMethod(java.lang.String name)` Get the method definition given the method name.
`java.util.List<IMethodInfo>` | `getMethods()` Returns the method definition list.
`java.lang.String` | `getName()` Returns the definition name.
`java.lang.String` | `getToolTip()` Returns the tool tip if the resource key of tool tip is available.
`java.lang.String` | `getToolTipKey()` Returns the resource key for tool tip.
`boolean` | `isNative()` Returns whether a class object is native.
`protected void` | `setConstructor(IMethodInfo constructor)` Adds constructor since some class has more than one constructor with different arguments.
`protected void` | `setDisplayNameKey(java.lang.String displayNameKey)` Sets the resource key for display name.
`protected void` | `setName(java.lang.String name)` Sets the definition name.
`protected void` | `setNative(boolean isNative)` Sets the native attribute of this class.
`protected void` | `setToolTip(java.lang.String toolTip)` Sets the display string for the tool tip of this method.
`protected void` | `setToolTipKey(java.lang.String toolTipKey)` Sets the resource key for tool tip.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassInfo

    public ClassInfo()

Method Detail

### addMethod

    protected void addMethod(IMethodInfo methodInfo)

  Adds one method definition to this class definition.

  Parameters:
    `methodInfo` - the definition of the method to add
  Throws:
    `org.eclipse.birt.report.model.metadata.MetaDataException` - if the duplicate method name exists.

### addMember

    protected void addMember(IMemberInfo memberDefn)

  Adds one member definition to this class definition.

  Parameters:
    `memberDefn` - the definition of the member to add
  Throws:
    `org.eclipse.birt.report.model.metadata.MetaDataException` - if the duplicate member name exists.

### getMethods

    public java.util.List<IMethodInfo> getMethods()

  Returns the method definition list. For methods that have the same name, only return one method.

  Specified by:
    `getMethods` in interface `IClassInfo`
  Returns:
    a list of method definitions

### getMethod

    public IMethodInfo getMethod(java.lang.String name)

  Get the method definition given the method name.

  Specified by:
    `getMethod` in interface `IClassInfo`
  Parameters:
    `name` - the name of the method to get
  Returns:
    the definition of the method to get

### getMembers

    public java.util.List<IMemberInfo> getMembers()

  Returns the list of member definitions.

  Specified by:
    `getMembers` in interface `IClassInfo`
  Returns:
    the list of member definitions

### getMember

    public IMemberInfo getMember(java.lang.String name)

  Returns the member definition given method name.

  Specified by:
    `getMember` in interface `IClassInfo`
  Parameters:
    `name` - name of the member to get
  Returns:
    the member definition to get

### getConstructor

    public IMethodInfo getConstructor()

  Returns the constructor definition.

  Specified by:
    `getConstructor` in interface `IClassInfo`
  Returns:
    the constructor definition

### setConstructor

    protected void setConstructor(IMethodInfo constructor)

  Adds constructor since some class has more than one constructor with different arguments.

  Parameters:
    `constructor` - the constructor definition to add
  Throws:
    `org.eclipse.birt.report.model.metadata.MetaDataException` - if the constructor's name is empty.

### isNative

    public boolean isNative()

  Returns whether a class object is native.

  Specified by:
    `isNative` in interface `IClassInfo`
  Returns:
    `true` if an object of this class is native, otherwise `false`

### setNative

    protected void setNative(boolean isNative)

  Sets the native attribute of this class.

  Parameters:
    `isNative` - `Boolean.TRUE` if an object of this class is native, otherwise `Boolean.FALSE`

### getDisplayNameKey

    public java.lang.String getDisplayNameKey()

  Description copied from interface: `ILocalizableInfo`
  Returns the resource key for display name.

  Specified by:
    `getDisplayNameKey` in interface `ILocalizableInfo`
  Returns:
    the resource key for display name

### getName

    public java.lang.String getName()

  Description copied from interface: `ILocalizableInfo`
  Returns the definition name.

  Specified by:
    `getName` in interface `ILocalizableInfo`
  Returns:
    the name of this definition

### getToolTipKey

    public java.lang.String getToolTipKey()

  Description copied from interface: `ILocalizableInfo`
  Returns the resource key for tool tip.

  Specified by:
    `getToolTipKey` in interface `ILocalizableInfo`
  Returns:
    the resource key for tool tip

### setDisplayNameKey

    protected void setDisplayNameKey(java.lang.String displayNameKey)

  Sets the resource key for display name.

  Parameters:
    `displayNameKey` - the resource key to set

### setName

    protected void setName(java.lang.String name)

  Sets the definition name.

  Parameters:
    `name` - the name to set

### setToolTipKey

    protected void setToolTipKey(java.lang.String toolTipKey)

  Sets the resource key for tool tip.

  Parameters:
    `toolTipKey` - the resource key to set

### getDisplayName

    public java.lang.String getDisplayName()

  Description copied from interface: `ILocalizableInfo`
  Returns the display name if the resource key of display name is available. Otherwise, return empty string.

  Specified by:
    `getDisplayName` in interface `ILocalizableInfo`
  Returns:
    the display name

### getToolTip

    public java.lang.String getToolTip()

  Description copied from interface: `ILocalizableInfo`
  Returns the tool tip if the resource key of tool tip is available. Otherwise, return empty string.

  Specified by:
    `getToolTip` in interface `ILocalizableInfo`
  Returns:
    the tool tip

### setToolTip

    protected void setToolTip(java.lang.String toolTip)

  Sets the display string for the tool tip of this method.

  Parameters:
    `toolTip` - the user-visible, localized display name for the tool tip of this method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.